> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/zec/qos-policy-group/describeqospolicygrouptraffic.md).

# DescribeQosPolicyGroupTraffic

## 1. 接口描述

本接口(DescribeQosPolicyGroupTraffic)用于查询QoS策略组的聚合流量监控数据。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称             | 必选 | 类型      | 描述                                                                                                                                       |
| ---------------- | -- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| qosPolicyGroupId | 是  | String  | <p>QoS策略组ID。</p><p>可通过调用 <a href="/api-reference/cn/zec/qos-policy-group/describeqospolicygroups.md">DescribeQosPolicyGroups</a> 获取。</p> |
| startTime        | 是  | String  | <p>查询开始时间。</p><p>时间格式：yyyy-MM-ddTHH<span data-gb-custom-inline data-tag="emoji" data-code="1f1f2-1f1f2">🇲🇲</span>ssZ。</p>              |
| endTime          | 是  | String  | <p>查询结束时间。</p><p>时间格式：yyyy-MM-ddTHH<span data-gb-custom-inline data-tag="emoji" data-code="1f1f2-1f1f2">🇲🇲</span>ssZ。</p>              |
| period           | 是  | Integer | <p>数据粒度，单位秒。</p><p>支持的值：60、300、600、3600。</p>                                                                                             |

## 3. 响应结果

| 参数名称      | 类型                                                                                   | 描述                                                       |
| --------- | ------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId | String                                                                               | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| dataSet   | Array of [TrafficDataPoint](/api-reference/cn/zec/datastructure.md#trafficdatapoint) | 流量监控数据点列表。                                               |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询QoS策略组的流量监控数据。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeQosPolicyGroupTraffic
<Common Request Params>

Request：
{
  "qosPolicyGroupId": "qpg-xxxxxxxx",
  "startTime": "2026-04-24T00:00:00Z",
  "endTime": "2026-04-25T00:00:00Z",
  "period": 300
}

Response：
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "dataSet": [
      {
        "timestamp": "2026-04-24T00:00:00Z",
        "bandwidthIn": 102400000,
        "bandwidthOut": 204800000
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                     | 说明         |
| ------- | --------------------------------------- | ---------- |
| 404     | INVALID\_QOS\_POLICY\_GROUP\_NOT\_FOUND | QoS策略组不存在。 |
